Bug 124694 - Video passing slide boundaries causes weird zoom in or shift (gtk2/gtk3)
Summary: Video passing slide boundaries causes weird zoom in or shift (gtk2/gtk3)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords:
: 125416 (view as bug list)
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-04-11 22:16 UTC by Saren Tasciyan
Modified: 2019-10-29 09:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
a presentation with a various of combination with a sample video (6.93 MB, application/zip)
2019-04-11 22:16 UTC, Saren Tasciyan
Details
screencast GTK3 (3.05 MB, video/mp4)
2019-05-30 15:20 UTC, Xisco Faulí
Details
6.2.5 Reproducible (4.30 MB, video/quicktime)
2019-07-18 11:15 UTC, Marcus Tomlinson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Saren Tasciyan 2019-04-11 22:16:06 UTC
Created attachment 150705 [details]
a presentation with a various of combination with a sample video

Description:

On my Ubuntu 18.04 LTS, I observe that when a video is crossing boundaries (only right or bottom) of a slide, it causes the slide to zoom in during slide show.


Steps to Reproduce:
1. Add a linked or embedded video to slide.
2. Move the video to the bottom or right edge of the slide and also leave some part of the video outside (crossing the right/bottom edge)
3. Start slide show on this slide


Actual Results:
Slide zooms in or shifts (bigger the video -> bigger the shift/zoom)

Expected Results:
No shift or zoom. Even if the logic is to bring the video into the screen, slide shift opposite direction moving it even further away.


Reproducible: Always
Comment 1 rugk 2019-04-19 10:05:26 UTC
Could reproduce. (Fedora 29, v6.1.5.2)

Strange this is for some videos, it only happens at the end of the video, for some even during playing.
Comment 2 Xisco Faulí 2019-05-23 10:08:37 UTC
it seems to happen with gtk2, with gtk3 the behaviour is also wrong, but with different results

Version: 6.3.0.0.alpha1+
Build ID: e3015d7021e689c71c2ed8e5dd01a74d832c84f0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Xisco Faulí 2019-05-23 10:12:39 UTC
Also reproduced with

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.15; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

not reproduced with gen

@Caolán, I thought you might be interested in this issue...
Comment 4 Caolán McNamara 2019-05-29 14:41:02 UTC
I think I see the problem
Comment 5 Commit Notification 2019-05-29 16:06:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0c62976b4713156e93aa17b9381e010491a49a24%5E%21

tdf#124694 gtk3 GtkFixed takes the max size of all its children...

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2019-05-29 16:07:32 UTC
that solves the gtk3 version for me, a follow up for gtk2 does the same there. And backports of those are in gerrit for 6-2
Comment 7 Commit Notification 2019-05-29 20:14:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4f0f09f9229635aaa7b51ce45222721f035e990d%5E%21

tdf#124694 gtk2 GtkFixed takes the max size of all its children...

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-05-30 15:18:19 UTC
Hi Caolán,
I do confirm the problem is fixed for gtk2

Version: 6.3.0.0.alpha1+
Build ID: ad7dfdef5f9504dfcd600bf4d88a97c35b9d5d6d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

but not with gtk3. I'll create a screencast
Comment 9 Xisco Faulí 2019-05-30 15:20:17 UTC
Created attachment 151785 [details]
screencast GTK3

@Caolán, do you reproduce this on your side ?
Comment 10 Caolán McNamara 2019-05-31 15:46:41 UTC
works beautifully under wayland which is my default, but under X the gtk3 one gives that problem alright.
Comment 11 Commit Notification 2019-06-05 09:43:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/60504bffca213f6d5c66d1a2de596c20533b7d9c%5E%21

tdf#124694 gtk2 GtkFixed takes the max size of all its children...

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Xisco Faulí 2019-06-05 10:35:34 UTC
*** Bug 125416 has been marked as a duplicate of this bug. ***
Comment 13 Commit Notification 2019-06-07 09:47:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/8eff9425897a42acb3f95750a4a2654e4f428444%5E%21

tdf#124694 gtk3 GtkFixed takes the max size of all its children...

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Marcus Tomlinson 2019-07-18 11:15:24 UTC
Created attachment 152858 [details]
6.2.5 Reproducible

Unfortunately, this is still reproducible on 6.2.5.

See attachment: "6.2.5 Reproducible"
Comment 15 Marcus Tomlinson 2019-07-18 11:23:43 UTC
Also, in testing this, a new issue was found: https://bugs.documentfoundation.org/show_bug.cgi?id=126240
Comment 16 Caolán McNamara 2019-07-18 11:51:34 UTC
(In reply to Marcus Tomlinson from comment #14)
> Created attachment 152858 [details]
> 6.2.5 Reproducible
> 
> Unfortunately, this is still reproducible on 6.2.5.
> 
> See attachment: "6.2.5 Reproducible"

as mentioned in comment #10 a problem remains under X which doesn't affect wayland
Comment 17 Marcus Tomlinson 2019-07-18 11:58:08 UTC
Apologies Caolán! I misunderstood the impact of the subsequent patches.
Comment 18 Xisco Faulí 2019-10-29 09:25:35 UTC
Dear Caolán McNamara,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.